<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Ptyhscbfbean" type="cn.vp.XXX.model.PtyhscbfBean"/> -->	<typeAlias alias="Ptyhscbf" type="cn.bsystem.ptuserrole.PtyhscbfBean"/>
	
	<sql id="condition_Ptyhscbf">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like concat('%',#LIKExh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkhbh'>
			(khbh like concat('%',#LIKEkhbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='khbh'>
			(khbh = #khbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhbh'>
			(yhbh like concat('%',#LIKEyhbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhbh'>
			(yhbh = #yhbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfgly'>
			(sfgly like concat('%',#LIKEsfgly# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfgly'>
			(sfgly = #sfgly# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhzh'>
			(yhzh like concat('%',#LIKEyhzh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhzh'>
			(yhzh = #yhzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhmm'>
			(yhmm like concat('%',#LIKEyhmm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhmm'>
			(yhmm = #yhmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhmc'>
			(yhmc like concat('%',#LIKEyhmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhmc'>
			(yhmc = #yhmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhmcpy'>
			(yhmcpy like concat('%',#LIKEyhmcpy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhmcpy'>
			(yhmcpy = #yhmcpy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhyxj'>
			(yhyxj like concat('%',#LIKEyhyxj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhyxj'>
			(yhyxj = #yhyxj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhlx'>
			(yhlx like concat('%',#LIKEyhlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhlx'>
			(yhlx = #yhlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjh'>
			(jh like concat('%',#LIKEjh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jh'>
			(jh = #jh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzp'>
			(zp like concat('%',#LIKEzp# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zp'>
			(zp = #zp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgddh'>
			(gddh like concat('%',#LIKEgddh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gddh'>
			(gddh = #gddh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsjhm'>
			(sjhm like concat('%',#LIKEsjhm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sjhm'>
			(sjhm = #sjhm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdh'>
			(dh like concat('%',#LIKEdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dh'>
			(dh = #dh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyjdz'>
			(yjdz like concat('%',#LIKEyjdz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yjdz'>
			(yjdz = #yjdz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzz'>
			(zz like concat('%',#LIKEzz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zz'>
			(zz = #zz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEms'>
			(ms like concat('%',#LIKEms# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ms'>
			(ms = #ms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhzt'>
			(yhzt like concat('%',#LIKEyhzt# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhzt'>
			(yhzt = #yhzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfjs'>
			(sfjs like concat('%',#LIKEsfjs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfjs'>
			(sfjs = #sfjs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbmbh'>
			(bmbh like concat('%',#LIKEbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bmbh'>
			(bmbh = #bmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkhdlmtsjtx'>
			(khdlmtsjtx like concat('%',#LIKEkhdlmtsjtx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='khdlmtsjtx'>
			(khdlmtsjtx = #khdlmtsjtx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdnkhdxdlkg'>
			(dnkhdxdlkg like concat('%',#LIKEdnkhdxdlkg# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dnkhdxdlkg'>
			(dnkhdxdlkg = #dnkhdxdlkg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsjkhdxdlkg'>
			(sjkhdxdlkg like concat('%',#LIKEsjkhdxdlkg# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sjkhdxdlkg'>
			(sjkhdxdlkg = #sjkhdxdlkg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdnusbkeydlkg'>
			(dnusbkeydlkg like concat('%',#LIKEdnusbkeydlkg# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dnusbkeydlkg'>
			(dnusbkeydlkg = #dnusbkeydlkg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdtdxfszdcs'>
			(dtdxfszdcs like concat('%',#LIKEdtdxfszdcs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dtdxfszdcs'>
			(dtdxfszdcs = #dtdxfszdcs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyxdlipsz'>
			(yxdlipsz like concat('%',#LIKEyxdlipsz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yxdlipsz'>
			(yxdlipsz = #yxdlipsz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdqx'>
			(dqx like concat('%',#LIKEdqx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dqx'>
			(dqx = #dqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExqx'>
			(xqx like concat('%',#LIKExqx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xqx'>
			(xqx = #xqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkqx'>
			(kqx like concat('%',#LIKEkqx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kqx'>
			(kqx = #kqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEpqx'>
			(pqx like concat('%',#LIKEpqx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='pqx'>
			(pqx = #pqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxhfqx'>
			(lxhfqx like concat('%',#LIKElxhfqx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxhfqx'>
			(lxhfqx = #lxhfqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxxzqx'>
			(lxxzqx like concat('%',#LIKElxxzqx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxxzqx'>
			(lxxzqx = #lxxzqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxdjqx'>
			(lxdjqx like concat('%',#LIKElxdjqx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxdjqx'>
			(lxdjqx = #lxdjqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdldxh'>
			(dldxh like concat('%',#LIKEdldxh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dldxh'>
			(dldxh = #dldxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEusbkeymm'>
			(usbkeymm like concat('%',#LIKEusbkeymm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='usbkeymm'>
			(usbkeymm = #usbkeymm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEusbkeybh'>
			(usbkeybh like concat('%',#LIKEusbkeybh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='usbkeybh'>
			(usbkeybh = #usbkeybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEygjpzh'>
			(ygjpzh like concat('%',#LIKEygjpzh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ygjpzh'>
			(ygjpzh = #ygjpzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEygjpmm'>
			(ygjpmm like concat('%',#LIKEygjpmm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ygjpmm'>
			(ygjpmm = #ygjpmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfzh'>
			(sfzh like concat('%',#LIKEsfzh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfzh'>
			(sfzh = #sfzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfhyz'>
			(sfhyz like concat('%',#LIKEsfhyz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfhyz'>
			(sfhyz = #sfhyz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfzx'>
			(sfzx like concat('%',#LIKEsfzx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfzx'>
			(sfzx = #sfzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqjsfw'>
			(jqjsfw like concat('%',#LIKEjqjsfw# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqjsfw'>
			(jqjsfw = #jqjsfw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdjqjsfw'>
			(zdjqjsfw like concat('%',#LIKEzdjqjsfw# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdjqjsfw'>
			(zdjqjsfw = #zdjqjsfw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like concat('%',#LIKEkz1# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like concat('%',#LIKEkz2# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like concat('%',#LIKEkz3# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like concat('%',#LIKEkz4# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEscczrybh'>
			(scczrybh like concat('%',#LIKEscczrybh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='scczrybh'>
			(scczrybh = #scczrybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEscczrymc'>
			(scczrymc like concat('%',#LIKEscczrymc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='scczrymc'>
			(scczrymc = #scczrymc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEscczsj'>
			(scczsj like concat('%',#LIKEscczsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='scczsj'>
			(scczsj = #scczsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEscczip'>
			(scczip like concat('%',#LIKEscczip# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='scczip'>
			(scczip = #scczip# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ptyhscbf" parameterClass="java.util.Map">
		insert into 
		ptyhscbf(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='khbh'>khbh</isNotEmpty>
			<isNotEmpty prepend=',' property='yhbh'>yhbh</isNotEmpty>
			<isNotEmpty prepend=',' property='sfgly'>sfgly</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzh'>yhzh</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmm'>yhmm</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmc'>yhmc</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmcpy'>yhmcpy</isNotEmpty>
			<isNotEmpty prepend=',' property='yhyxj'>yhyxj</isNotEmpty>
			<isNotEmpty prepend=',' property='yhlx'>yhlx</isNotEmpty>
			<isNotEmpty prepend=',' property='jh'>jh</isNotEmpty>
			<isNotEmpty prepend=',' property='zp'>zp</isNotEmpty>
			<isNotEmpty prepend=',' property='gddh'>gddh</isNotEmpty>
			<isNotEmpty prepend=',' property='sjhm'>sjhm</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>dh</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdz'>yjdz</isNotEmpty>
			<isNotEmpty prepend=',' property='zz'>zz</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzt'>yhzt</isNotEmpty>
			<isNotEmpty prepend=',' property='sfjs'>sfjs</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='khdlmtsjtx'>khdlmtsjtx</isNotEmpty>
			<isNotEmpty prepend=',' property='dnkhdxdlkg'>dnkhdxdlkg</isNotEmpty>
			<isNotEmpty prepend=',' property='sjkhdxdlkg'>sjkhdxdlkg</isNotEmpty>
			<isNotEmpty prepend=',' property='dnusbkeydlkg'>dnusbkeydlkg</isNotEmpty>
			<isNotEmpty prepend=',' property='dtdxfszdcs'>dtdxfszdcs</isNotEmpty>
			<isNotEmpty prepend=',' property='yxdlipsz'>yxdlipsz</isNotEmpty>
			<isNotEmpty prepend=',' property='dqx'>dqx</isNotEmpty>
			<isNotEmpty prepend=',' property='xqx'>xqx</isNotEmpty>
			<isNotEmpty prepend=',' property='kqx'>kqx</isNotEmpty>
			<isNotEmpty prepend=',' property='pqx'>pqx</isNotEmpty>
			<isNotEmpty prepend=',' property='lxhfqx'>lxhfqx</isNotEmpty>
			<isNotEmpty prepend=',' property='lxxzqx'>lxxzqx</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdjqx'>lxdjqx</isNotEmpty>
			<isNotEmpty prepend=',' property='dldxh'>dldxh</isNotEmpty>
			<isNotEmpty prepend=',' property='usbkeymm'>usbkeymm</isNotEmpty>
			<isNotEmpty prepend=',' property='usbkeybh'>usbkeybh</isNotEmpty>
			<isNotEmpty prepend=',' property='ygjpzh'>ygjpzh</isNotEmpty>
			<isNotEmpty prepend=',' property='ygjpmm'>ygjpmm</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzh'>sfzh</isNotEmpty>
			<isNotEmpty prepend=',' property='sfhyz'>sfhyz</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzx'>sfzx</isNotEmpty>
			<isNotEmpty prepend=',' property='jqjsfw'>jqjsfw</isNotEmpty>
			<isNotEmpty prepend=',' property='zdjqjsfw'>zdjqjsfw</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>
			<isNotEmpty prepend=',' property='scczrybh'>scczrybh</isNotEmpty>
			<isNotEmpty prepend=',' property='scczrymc'>scczrymc</isNotEmpty>
			<isNotEmpty prepend=',' property='scczsj'>scczsj</isNotEmpty>
			<isNotEmpty prepend=',' property='scczip'>scczip</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='khbh'>#khbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhbh'>#yhbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfgly'>#sfgly#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzh'>#yhzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmm'>#yhmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmc'>#yhmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmcpy'>#yhmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhyxj'>#yhyxj#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhlx'>#yhlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jh'>#jh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zp'>#zp#</isNotEmpty>
			<isNotEmpty prepend=',' property='gddh'>#gddh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjhm'>#sjhm#</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>#dh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdz'>#yjdz#</isNotEmpty>
			<isNotEmpty prepend=',' property='zz'>#zz#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzt'>#yhzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfjs'>#sfjs#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='khdlmtsjtx'>#khdlmtsjtx#</isNotEmpty>
			<isNotEmpty prepend=',' property='dnkhdxdlkg'>#dnkhdxdlkg#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjkhdxdlkg'>#sjkhdxdlkg#</isNotEmpty>
			<isNotEmpty prepend=',' property='dnusbkeydlkg'>#dnusbkeydlkg#</isNotEmpty>
			<isNotEmpty prepend=',' property='dtdxfszdcs'>#dtdxfszdcs#</isNotEmpty>
			<isNotEmpty prepend=',' property='yxdlipsz'>#yxdlipsz#</isNotEmpty>
			<isNotEmpty prepend=',' property='dqx'>#dqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqx'>#xqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='kqx'>#kqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='pqx'>#pqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxhfqx'>#lxhfqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxxzqx'>#lxxzqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdjqx'>#lxdjqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='dldxh'>#dldxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='usbkeymm'>#usbkeymm#</isNotEmpty>
			<isNotEmpty prepend=',' property='usbkeybh'>#usbkeybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ygjpzh'>#ygjpzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ygjpmm'>#ygjpmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzh'>#sfzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfhyz'>#sfhyz#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzx'>#sfzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqjsfw'>#jqjsfw#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdjqjsfw'>#zdjqjsfw#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczrybh'>#scczrybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczrymc'>#scczrymc#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczsj'>#scczsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczip'>#scczip#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ptyhscbf" parameterClass="java.util.Map">
		update ptyhscbf 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='khbh'>khbh=#khbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhbh'>yhbh=#yhbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfgly'>sfgly=#sfgly#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzh'>yhzh=#yhzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmm'>yhmm=#yhmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmc'>yhmc=#yhmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhmcpy'>yhmcpy=#yhmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhyxj'>yhyxj=#yhyxj#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhlx'>yhlx=#yhlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jh'>jh=#jh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zp'>zp=#zp#</isNotEmpty>
			<isNotEmpty prepend=',' property='gddh'>gddh=#gddh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjhm'>sjhm=#sjhm#</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>dh=#dh#</isNotEmpty>
			<isNotEmpty prepend=',' property='yjdz'>yjdz=#yjdz#</isNotEmpty>
			<isNotEmpty prepend=',' property='zz'>zz=#zz#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms=#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhzt'>yhzt=#yhzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfjs'>sfjs=#sfjs#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh=#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='khdlmtsjtx'>khdlmtsjtx=#khdlmtsjtx#</isNotEmpty>
			<isNotEmpty prepend=',' property='dnkhdxdlkg'>dnkhdxdlkg=#dnkhdxdlkg#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjkhdxdlkg'>sjkhdxdlkg=#sjkhdxdlkg#</isNotEmpty>
			<isNotEmpty prepend=',' property='dnusbkeydlkg'>dnusbkeydlkg=#dnusbkeydlkg#</isNotEmpty>
			<isNotEmpty prepend=',' property='dtdxfszdcs'>dtdxfszdcs=#dtdxfszdcs#</isNotEmpty>
			<isNotEmpty prepend=',' property='yxdlipsz'>yxdlipsz=#yxdlipsz#</isNotEmpty>
			<isNotEmpty prepend=',' property='dqx'>dqx=#dqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqx'>xqx=#xqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='kqx'>kqx=#kqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='pqx'>pqx=#pqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxhfqx'>lxhfqx=#lxhfqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxxzqx'>lxxzqx=#lxxzqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdjqx'>lxdjqx=#lxdjqx#</isNotEmpty>
			<isNotEmpty prepend=',' property='dldxh'>dldxh=#dldxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='usbkeymm'>usbkeymm=#usbkeymm#</isNotEmpty>
			<isNotEmpty prepend=',' property='usbkeybh'>usbkeybh=#usbkeybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ygjpzh'>ygjpzh=#ygjpzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ygjpmm'>ygjpmm=#ygjpmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzh'>sfzh=#sfzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfhyz'>sfhyz=#sfhyz#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzx'>sfzx=#sfzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqjsfw'>jqjsfw=#jqjsfw#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdjqjsfw'>zdjqjsfw=#zdjqjsfw#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczrybh'>scczrybh=#scczrybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczrymc'>scczrymc=#scczrymc#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczsj'>scczsj=#scczsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='scczip'>scczip=#scczip#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkhbh'> khbh = #XGTJkhbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhbh'> yhbh = #XGTJyhbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfgly'> sfgly = #XGTJsfgly# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhzh'> yhzh = #XGTJyhzh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhmm'> yhmm = #XGTJyhmm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhmc'> yhmc = #XGTJyhmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhmcpy'> yhmcpy = #XGTJyhmcpy# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhyxj'> yhyxj = #XGTJyhyxj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhlx'> yhlx = #XGTJyhlx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjh'> jh = #XGTJjh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzp'> zp = #XGTJzp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgddh'> gddh = #XGTJgddh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsjhm'> sjhm = #XGTJsjhm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdh'> dh = #XGTJdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyjdz'> yjdz = #XGTJyjdz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzz'> zz = #XGTJzz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJms'> ms = #XGTJms# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhzt'> yhzt = #XGTJyhzt# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfjs'> sfjs = #XGTJsfjs# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbmbh'> bmbh = #XGTJbmbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkhdlmtsjtx'> khdlmtsjtx = #XGTJkhdlmtsjtx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdnkhdxdlkg'> dnkhdxdlkg = #XGTJdnkhdxdlkg# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsjkhdxdlkg'> sjkhdxdlkg = #XGTJsjkhdxdlkg# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdnusbkeydlkg'> dnusbkeydlkg = #XGTJdnusbkeydlkg# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdtdxfszdcs'> dtdxfszdcs = #XGTJdtdxfszdcs# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyxdlipsz'> yxdlipsz = #XGTJyxdlipsz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdqx'> dqx = #XGTJdqx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxqx'> xqx = #XGTJxqx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkqx'> kqx = #XGTJkqx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJpqx'> pqx = #XGTJpqx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxhfqx'> lxhfqx = #XGTJlxhfqx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxxzqx'> lxxzqx = #XGTJlxxzqx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxdjqx'> lxdjqx = #XGTJlxdjqx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdldxh'> dldxh = #XGTJdldxh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJusbkeymm'> usbkeymm = #XGTJusbkeymm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJusbkeybh'> usbkeybh = #XGTJusbkeybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJygjpzh'> ygjpzh = #XGTJygjpzh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJygjpmm'> ygjpmm = #XGTJygjpmm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfzh'> sfzh = #XGTJsfzh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfhyz'> sfhyz = #XGTJsfhyz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfzx'> sfzx = #XGTJsfzx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqjsfw'> jqjsfw = #XGTJjqjsfw# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzdjqjsfw'> zdjqjsfw = #XGTJzdjqjsfw# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJscczrybh'> scczrybh = #XGTJscczrybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJscczrymc'> scczrymc = #XGTJscczrymc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJscczsj'> scczsj = #XGTJscczsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJscczip'> scczip = #XGTJscczip# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ptyhscbf" parameterClass="java.util.Map">
		delete from ptyhscbf 
		<include refid="condition_Ptyhscbf"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ptyhscbf" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,khbh,yhbh,sfgly,yhzh,yhmm,yhmc,yhmcpy,yhyxj,yhlx,jh,zp,gddh,sjhm,dh,yjdz,zz,ms,yhzt,sfjs,bmbh,khdlmtsjtx,dnkhdxdlkg,sjkhdxdlkg,dnusbkeydlkg,dtdxfszdcs,yxdlipsz,dqx,xqx,kqx,pqx,lxhfqx,lxxzqx,lxdjqx,dldxh,usbkeymm,usbkeybh,ygjpzh,ygjpmm,sfzh,sfhyz,sfzx,jqjsfw,zdjqjsfw,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4,scczrybh,scczrymc,scczsj,scczip
		from ptyhscbf 
		<include refid="condition_Ptyhscbf"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Ptyhscbf" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from ptyhscbf 
		<include refid="condition_Ptyhscbf"/>			
	</select>
	
</sqlMap>











